org.apache.cayenne.ejbql

## Interface EJBQLCompiledExpression

-     public interface EJBQLCompiledExpression

  Represents an EJB QL expression "compiled" in the context of a certain mapping.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassDescriptor` | `getEntityDescriptor(String identifier)` Returns a ClassDescriptor for the id variable.
    `EJBQLExpression` | `getExpression()` Returns a tree representation of an EJBQL expression.
    `List<DbRelationship>` | `getIncomingRelationships(String identifier)` Returns a collection of relationships that joins identifier with a parent entity.
    `PrefetchTreeNode` | `getPrefetchTree()` Returns prefetched columns tree for fetch joins.
    `SQLResult` | `getResult()` Returns a mapping of the result set columns, or null if this is not a select expression.
    `ClassDescriptor` | `getRootDescriptor()` Returns a descriptor of the root of this expression such as entity being fetched or updated.
    `String` | `getSource()` Returns EJB QL source of the compiled expression if available.

- - ### Method Detail

    - #### getExpression

          EJBQLExpression getExpression()

      Returns a tree representation of an EJBQL expression.

    - #### getRootDescriptor

          ClassDescriptor getRootDescriptor()

      Returns a descriptor of the root of this expression such as entity being fetched or updated.

    - #### getEntityDescriptor

          ClassDescriptor getEntityDescriptor(String identifier)

      Returns a ClassDescriptor for the id variable.

    - #### getIncomingRelationships

          List<DbRelationship> getIncomingRelationships(String identifier)

      Returns a collection of relationships that joins identifier with a parent entity. Returns null if the identifier corresponds to one of the query roots.

    - #### getSource

          String getSource()

      Returns EJB QL source of the compiled expression if available.

    - #### getResult

          SQLResult getResult()

      Returns a mapping of the result set columns, or null if this is not a select expression.

    - #### getPrefetchTree

          PrefetchTreeNode getPrefetchTree()

      Returns prefetched columns tree for fetch joins.

Copyright © 2001–2021 Apache Cayenne. All rights reserved.